
CFLAGS = -B -n

all: lib MRARPFileTest MRARPFile.o MRARPFile.o32 StoreTracker.o

lib: MRARPFile.o MRARPFile.o32 StoreTracker.o
    lb -o MRARPFile.lib StoreTracker.o MRARPFile.o 
    lb -o MRARPFile32.lib StoreTracker.o MRARPFile.o32

# Create the simple test program.

MRARPFileTest: MRARPFileDebug.o StoreTracker.o
    ln -g -o MRARPFileTest MRARPFileDebug.o StoreTracker.o -la -lc

# Generate special debug version for testing.

MRARPFileDebug.o: MRARPFile.h MRARPFile.c
    cc $(CFLAGS) -DDEBUG -o MRARPFileDebug.o MRARPFile.c

# Generate 16 bit library module.

MRARPFile.o: MRARPFile.h MRARPFile.c
    cc $(CFLAGS) -o MRARPFile.o MRARPFile.c

# Generate 32 bit library module. Actually, I don't believe there's a
# difference from the program's point of view.

MRARPFile.o32: MRARPFile.h MRARPFile.c
    cc $(CFLAGS) -o MRARPFILE.o32 MRARPFile.c

# Create the assembly language glue for obtaining LastTracker.

StoreTracker.o: StoreTracker.asm
    as -o StoreTracker.o StoreTracker.asm

# Omit the test file and the 32 bit version from the zoo archive.

ZOO = MRARPFile.Doc MRARPFile.h MRARPFile.c StoreTracker.asm MRARPFile.make \
      MRARPFile.o MRARPFile.lib

zoo: $(ZOO)
    delete (MRARPFile.zoo)
    zoo a MRARPFile $(ZOO)
